Skip to main content
GET
List readlist's books

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Query Parameters

library_id
string[]
read_status
enum<string>[]
Available options:
UNREAD,
READ,
IN_PROGRESS
tag
string[]
media_status
enum<string>[]
Available options:
UNKNOWN,
ERROR,
READY,
UNSUPPORTED,
OUTDATED
deleted
boolean
unpaged
boolean
page
integer

Zero-based page index (0..N)

size
integer

The size of the page to be returned

author
string[]

Author criteria in the format: name,role. Multiple author criteria are supported.

Response

OK

content
object[]
empty
boolean
first
boolean
last
boolean
number
integer<int32>
numberOfElements
integer<int32>
pageable
object
size
integer<int32>
sort
object
totalElements
integer<int64>
totalPages
integer<int32>